import { MutableRefObject } from 'react';
import { VuexStoreType } from "./types";
import { ExternalStoreType } from './externalStore';
/**
 * gets the current state
 * runs it through all the getters
 * updates the gettersValues where needed
 * @param store
 * @param state
 * @param globalGetters
 * @param prevValuesRef
 */
export declare const calcAndSetGettersValues: <T>(store: VuexStoreType, state: T, globalGetters: ExternalStoreType<Record<string, any>>, prevValuesRef: MutableRefObject<Record<string, any>>) => void;
export declare const getGetterInitialValue: (getterName: string, gettersFns: Record<string, Function>, store: VuexStoreType) => any;
export declare const getGettersInitialValues: (store: VuexStoreType) => Record<string, any>;
