import { MutableRefObject } from 'react';
import { ActionParamsType } from './types';
import { ExternalStoreType } from './externalStore';
export declare const mutationsContext: import("react").Context<Record<string, (...args: any) => void>>;
export declare const MutationsProvider: import("react").MemoExoticComponent<import("react").Provider<Record<string, (...args: any) => void>>>;
export declare const actionsContext: import("react").Context<Record<string, (context: ActionParamsType, args?: any) => Promise<any>>>;
export declare const ActionsProvider: import("react").MemoExoticComponent<import("react").Provider<Record<string, (context: ActionParamsType, args?: any) => Promise<any>>>>;
export declare const globalStoreContext: import("react").Context<ExternalStoreType<{}>>;
export declare const GlobalStoreProvider: import("react").MemoExoticComponent<import("react").Provider<ExternalStoreType<{}>>>;
declare type GettersContextType = MutableRefObject<ExternalStoreType<any>>;
export declare const globalGettersContext: import("react").Context<GettersContextType>;
export declare const GlobalGettersProvider: import("react").Provider<GettersContextType>;
export {};
