"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalGettersProvider = exports.globalGettersContext = exports.GlobalStoreProvider = exports.globalStoreContext = exports.ActionsProvider = exports.actionsContext = exports.MutationsProvider = exports.mutationsContext = void 0;
var react_1 = require("react");
var externalStore_1 = require("./externalStore");
exports.mutationsContext = react_1.createContext({});
exports.MutationsProvider = react_1.memo(exports.mutationsContext.Provider);
exports.actionsContext = react_1.createContext({});
exports.ActionsProvider = react_1.memo(exports.actionsContext.Provider);
exports.globalStoreContext = react_1.createContext(externalStore_1.createStore({}));
exports.GlobalStoreProvider = react_1.memo(exports.globalStoreContext.Provider);
exports.globalGettersContext = react_1.createContext({
    current: externalStore_1.createStore({})
});
exports.GlobalGettersProvider = exports.globalGettersContext.Provider;
